NAME

OpenAPI::Client::OpenAI::Path::chatkit-threads-thread_id-items - Documentation for the /chatkit/threads/{thread_id}/items path.

OPERATIONS

GET /chatkit/threads/{thread_id}/items

ListThreadItemsMethod

$client->list_thread_items_method({
    body => { ... },
});

List items that belong to a ChatKit thread.

Path/query parameters

  • thread_id (in path, required, string) - Identifier of the ChatKit thread whose items are requested.

  • limit (in query, optional, integer) - Maximum number of thread items to return. Defaults to 20.

  • order (in query, optional, string) - Sort order for results by creation time. Defaults to desc .

  • after (in query, optional, string) - List items created after this thread item ID. Defaults to null for the first page.

  • before (in query, optional, string) - List items created before this thread item ID. Defaults to null for the newest results.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "data" : [
      {
         "attachments" : [
            {
               "id" : "string",
               "mime_type" : "string",
               "name" : "string",
               "preview_url" : "string",
               "type" : "image"
            }
         ],
         "content" : [
            {
               "text" : "string",
               "type" : "input_text"
            }
         ],
         "created_at" : 0,
         "id" : "string",
         "inference_options" : {
            "model" : "string",
            "tool_choice" : {
               "id" : "string"
            }
         },
         "object" : "chatkit.thread_item",
         "thread_id" : "string",
         "type" : "chatkit.user_message"
      }
   ],
   "first_id" : "string",
   "has_more" : false,
   "last_id" : "string",
   "object" : "list"
}

SCHEMAS

ThreadItem

See https://platform.openai.com/docs/api-reference for details.

ThreadItemListResource

Properties:

  • data (array of ThreadItem, required) - A list of items

  • first_id (anyOf, required)

  • has_more (boolean, required) - Whether there are more items available.

  • last_id (anyOf, required)

  • object (string, required) - The type of object returned, must be list .

    Allowed values: list

    Default: list

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.